Package: org.gradle.plugins.javascript.envjs

## [Groovy] Class EnvJsPlugin

- org.gradle.plugins.javascript.envjs.EnvJsPlugin

- All Implemented Interfaces and Traits:
    Plugin

      class EnvJsPlugin
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EnvJsPlugin (groovy.util.Factory<org.gradle.process.internal.WorkerProcessBuilder> workerProcessBuilderFactory)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Configuration` | `addConfiguration(ConfigurationContainer configurations, DependencyHandler dependencies, EnvJsExtension extension)`
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject EnvJsPlugin(groovy.util.Factory<org.gradle.process.internal.WorkerProcessBuilder> workerProcessBuilderFactory)

  - ### Method Detail

    - #### Configuration addConfiguration(ConfigurationContainer configurations, DependencyHandler dependencies, EnvJsExtension extension)

    - #### void apply(Project project)